summaryrefslogtreecommitdiff
path: root/local/bin/firemenu
diff options
context:
space:
mode:
Diffstat (limited to 'local/bin/firemenu')
-rwxr-xr-xlocal/bin/firemenu43
1 files changed, 43 insertions, 0 deletions
diff --git a/local/bin/firemenu b/local/bin/firemenu
new file mode 100755
index 0000000..69b9b18
--- /dev/null
+++ b/local/bin/firemenu
@@ -0,0 +1,43 @@
+#!/bin/sh
+# Credits to Swindles McCoop
+# Coast's configuration of Firemenu
+# ## Bravemenu
+set -e
+DMENU_CMD="dmenu -i -fn Cozette:size=13 -nb #151821 -nf #a9b1d6 -sb #414868 -sf #c0caf5"
+CHOICES="URL
+Google
+YouTube
+Spotify
+Discord
+Git.gay
+Github
+DeepSeek
+ChatGPT
+4chan
+Proton Inbox
+Proton Drive
+Google Inbox
+Ente Auth"
+
+CHOICE=$(printf "$CHOICES" | $DMENU_CMD -p "Bravemenu ")
+SWALLOW=
+
+case $CHOICE in
+ "URL") printf '' | $DMENU_CMD -p 'Enter URL(s):' | xargs $SWALLOW brave > /dev/null ;;
+ "Discord") $SWALLOW brave https://discord.com/app/ > /dev/null ;;
+ "Spotify") $SWALLOW brave https://open.spotify.com/ > /dev/null ;;
+ "DeepSeek") $SWALLOW brave https://chat.deepseek.com/ > /dev/null ;;
+ "ChatGPT") $SWALLOW brave https://chatgpt.com/ > /dev/null ;;
+ #"Github") $SWALLOW brave https://github.com/ > /dev/null ;;
+ "Github") printf '' | $DMENU_CMD -p 'Repository:' | sed 's|^|https://github.com/|' | sed 's/ /%20/g' | xargs $SWALLOW brave > /dev/null ;;
+ "Git.gay") printf '' | $DMENU_CMD -p 'Repository:' | sed 's|^|https://git.gay/|' | sed 's/ /%20/g' | xargs $SWALLOW brave > /dev/null ;;
+ #"Git.gay") $SWALLOW brave https://git.gay/ > /dev/null ;;
+ "Google") printf '' | $DMENU_CMD -p 'Search:' | sed 's|^|https://google.com/search?q=|' | sed 's/ /%20/g' | xargs $SWALLOW brave > /dev/null ;;
+ "Link") printf '' | $DMENU_CMD -p 'Enter URL(s):' | xargs $SWALLOW brave > /dev/null ;;
+ "YouTube") printf '' | $DMENU_CMD -p 'Search:' | sed 's|^|https://youtube.com/results?search_query=|' | sed 's/ /%20/g' | xargs $SWALLOW brave > /dev/null ;;
+ "4chan") printf '3\na\naco\nadv\nan\nb\nbant\nbiz\nc\ncgl\nck\ncm\nco\nd\ndiy\ne\nf\nfa\nfit\ng\ngd\ngif\nh\nhc\nhis\nhm\nhr\ni\nic\nint\njp\nk\nlgbt\nlit\nm\nmlp\nmu\nn\nnews\no\nout\np\npo\npol\npw\nqa\nqst\nr\nr9k\ns\ns4s\nsci\nsoc\nsp\nt\ntg\ntoy\ntrv\ntv\nu\nv\nvg\nvip\nvm\nvmg\nvp\nvr\nvrpg\nvst\nvt\nw\nwg\nwsg\nwsr\nx\nxs\ny' | $DMENU_CMD -p 'Board letter:' | sed 's|^|https://4chan.org/|' | xargs $SWALLOW brave > /dev/null ;;
+ "Proton Inbox") printf '' | $SWALLOW brave https://mail.proton.me/u/0/inbox > /dev/null ;;
+ "Proton Drive") printf '' | $SWALLOW brave https://drive.proton.me/ > /dev/null ;;
+ "Google Inbox") printf '' | $SWALLOW brave https://mail.google.com/mail/u/0/ ;;
+ "Ente Auth") printf '' | $SWALLOW brave https://auth.ente.io/auth ;;
+esac